Api referenceAssets

Add asset to project

Bind an existing asset to the project without changing the asset itself.

POST
/v1/projects/{projectId}/assets

Bind an existing asset to the project without changing the asset itself.

Authorization

ApiKeyAuth
x-api-key<token>

Enter your API key manually in the interactive docs playground. The value is stored only in the current browser and is not injected from server environment variables.

In: header

Path Parameters

projectId*string
Formatuuid

Request Body

application/json

assetId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.indream.ai/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/assets" \  -H "Content-Type: application/json" \  -d '{    "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8"  }'
{
  "data": {
    "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
    "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8"
  },
  "meta": {}
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}